/*
 * rcutil.h
 *
 * Util defines.
 *
 * Copyright (C) 2004-2006 Martin Schlemmer <azarah@nosferatu.za.org>
 *
 *
 *      This program is free software; you can redistribute it and/or modify it
 *      under the terms of the GNU General Public License as published by the
 *      Free Software Foundation version 2 of the License.
 *
 *      This program is distributed in the hope that it will be useful, but
 *      WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *      General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License along
 *      with this program; if not, write to the Free Software Foundation, Inc.,
 *      675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Header$
 */

#ifndef __RCUTIL_H__
#define __RCUTIL_H__

#include <stddef.h>
#include <sys/types.h>

#ifdef HAVE_CONFIG_H
# include "config.h"
#endif

#include "rcscripts/rctypes.h"
#include "rcscripts/util/debug.h"
#include "rcscripts/util/string.h"
#include "rcscripts/util/file.h"
#include "rcscripts/util/config.h"
#include "rcscripts/util/list.h"
#include "rcscripts/util/str_list.h"
#include "rcscripts/util/dynbuf.h"
#include "rcscripts/util/simple-regex.h"

#endif /* __RCUTIL_H__ */
